% Define restrictions for the columns of \tilde{A}_{0}e_{i}
% B_{i} is an (\tilde{n}x\tilde{n}) matrix of rank b_{i}
B    = cell([ntilde,1]);
for i=1:ntilde
    B{i} = zeros(ntilde);
end
% restrictions so that the k times n left-hand block of \tilde{A}_{0} and \tilde{A}_{i} for i=1,...,p is zero
for i=1:n
    for j=1:k
        B{i}(rank(B{i})+1,n+j) = 1;
    end
end
% restrictions so that A0 is upper triangular
for i=1:n
    for j=1:n-i
        B{i}(rank(B{i})+1,i+j) = 1;
    end
end
for i=n+1:ntilde
    for j=1:ntilde-i
        B{i}(rank(B{i})+1,i+j) = 1;
    end
end
% Define restrictions for the columns of \tilde{A}_{+}e_{i}
% R_{i} is an (nxn) matrix of rank r_{i}
R    = cell([ntilde,1]);
for i=1:ntilde
    R{i}=zeros(ntilde*n_lags+nex);
end
% VAR restrictions
for i=1:n
    for j=1:n_lags
        for jj=1:k
            R{i}(rank(R{i})+1, (j-1)*ntilde + n + jj ) = 1;
        end
    end
end