clear variables;
clc;
Horizon=60;
H=Horizon;

ftsizeaxis=11;
ftsizexlabel=11;
ftsizetitle=11;
ftlinewidth = 1.0;
medianwidth=1.0;
 

load 'results_ca.mat';

Ltildeq50=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 50th
Ltildeq16=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 16th
Ltildeq84=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 84th
 
Ltildeq025=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 025th
Ltildeq975=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 975th
 
for ii=1:size(Ltilde,1)
    for jj=1:size(Ltilde,2)
        for kk=1:size(Ltilde,3)
        Ltildeq50(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.5);
        Ltildeq16(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.16);
        Ltildeq84(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.84);
        
        Ltildeq025(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.025);
        Ltildeq975(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.975);
        end
    end
end
 
aa=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       aa(iii,jjj)=(Ltilde(iii,9,1,jjj));
end
end
inf_ = zeros(61-12,size(Ltilde,4));
for i = 1:61-12
  inf_(i,:)       = (aa(i+12,:)      -aa(i,:));
end
clear i

ir=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       ir(iii,jjj)=(Ltilde(iii,10,1,jjj));
end
end

for i = 1:61-12
ri(i,:) = ir(i,:) - inf_(i,:);
end

ricam = quantile(ri',0.5);
rical = quantile(ri',0.16);
ricau = quantile(ri',0.84);
clear aa i iii jjj ii jj kk ri

ipuscam= squeeze(Ltildeq50(:,1,1));
ipuscal=(squeeze(Ltildeq16(:,1,1)))';
ipuscau=(squeeze(Ltildeq84(:,1,1)))';

cpiuscam=squeeze(Ltildeq50(:,2,1));
cpiuscal=(squeeze(Ltildeq16(:,2,1)))';
cpiuscau=(squeeze(Ltildeq84(:,2,1)))';

cpuscam=squeeze(Ltildeq50(:,3,1));
cpuscal=(squeeze(Ltildeq16(:,3,1)))';
cpuscau=(squeeze(Ltildeq84(:,3,1)))';

truscam=squeeze(Ltildeq50(:,4,1));
truscal=(squeeze(Ltildeq16(:,4,1)))';
truscau=(squeeze(Ltildeq84(:,4,1)))';

nbruscam=squeeze(Ltildeq50(:,5,1));
nbruscal=(squeeze(Ltildeq16(:,5,1)))';
nbruscau=(squeeze(Ltildeq84(:,5,1)))';

ffrcam=squeeze(Ltildeq50(:,6,1));
ffrcal=(squeeze(Ltildeq16(:,6,1)))';
ffrcau=(squeeze(Ltildeq84(:,6,1)))';

excam=squeeze(Ltildeq50(:,7,1));
excal=(squeeze(Ltildeq16(:,7,1)))';
excau=(squeeze(Ltildeq84(:,7,1)))';

ipcam=squeeze(Ltildeq50(:,8,1));
ipcal=(squeeze(Ltildeq16(:,8,1)))';
ipcau=(squeeze(Ltildeq84(:,8,1)))';

cpicam=squeeze(Ltildeq50(:,9,1));
cpical=(squeeze(Ltildeq16(:,9,1)))';
cpicau=(squeeze(Ltildeq84(:,9,1)))';
 
ircam=squeeze(Ltildeq50(:,10,1));
ircal=(squeeze(Ltildeq16(:,10,1)))';
ircau=(squeeze(Ltildeq84(:,10,1)))';

tbcam=squeeze(Ltildeq50(:,11,1));
tbcal=(squeeze(Ltildeq16(:,11,1)))';
tbcau=(squeeze(Ltildeq84(:,11,1)))';


load 'results_de.mat';

Ltildeq50=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 50th
Ltildeq16=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 16th
Ltildeq84=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 84th
 
Ltildeq025=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 025th
Ltildeq975=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 975th
 
for ii=1:size(Ltilde,1)
    for jj=1:size(Ltilde,2)
        for kk=1:size(Ltilde,3)
        Ltildeq50(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.5);
        Ltildeq16(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.16);
        Ltildeq84(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.84);
        
        Ltildeq025(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.025);
        Ltildeq975(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.975);
        end
    end
end

aa=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       aa(iii,jjj)=(Ltilde(iii,9,1,jjj));
end
end
inf_ = zeros(61-12,size(Ltilde,4));
for i = 1:61-12
  inf_(i,:)       = (aa(i+12,:)      -aa(i,:));
end
clear i

ir=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       ir(iii,jjj)=(Ltilde(iii,10,1,jjj));
end
end

for i = 1:61-12
ri(i,:) = ir(i,:) - inf_(i,:);
end

ridem = quantile(ri',0.5);
ridel = quantile(ri',0.16);
rideu = quantile(ri',0.84);
clear aa i iii jjj ii jj kk ri
 
ipusdem= squeeze(Ltildeq50(:,1,1));
ipusdel=(squeeze(Ltildeq16(:,1,1)))';
ipusdeu=(squeeze(Ltildeq84(:,1,1)))';

cpiusdem=squeeze(Ltildeq50(:,2,1));
cpiusdel=(squeeze(Ltildeq16(:,2,1)))';
cpiusdeu=(squeeze(Ltildeq84(:,2,1)))';

cpusdem=squeeze(Ltildeq50(:,3,1));
cpusdel=(squeeze(Ltildeq16(:,3,1)))';
cpusdeu=(squeeze(Ltildeq84(:,3,1)))';

trusdem=squeeze(Ltildeq50(:,4,1));
trusdel=(squeeze(Ltildeq16(:,4,1)))';
trusdeu=(squeeze(Ltildeq84(:,4,1)))';

nbrusdem=squeeze(Ltildeq50(:,5,1));
nbrusdel=(squeeze(Ltildeq16(:,5,1)))';
nbrusdeu=(squeeze(Ltildeq84(:,5,1)))';

ffrdem=squeeze(Ltildeq50(:,6,1));
ffrdel=(squeeze(Ltildeq16(:,6,1)))';
ffrdeu=(squeeze(Ltildeq84(:,6,1)))';

exdem=squeeze(Ltildeq50(:,7,1));
exdel=(squeeze(Ltildeq16(:,7,1)))';
exdeu=(squeeze(Ltildeq84(:,7,1)))';

ipdem=squeeze(Ltildeq50(:,8,1));
ipdel=(squeeze(Ltildeq16(:,8,1)))';
ipdeu=(squeeze(Ltildeq84(:,8,1)))';

cpidem=squeeze(Ltildeq50(:,9,1));
cpidel=(squeeze(Ltildeq16(:,9,1)))';
cpideu=(squeeze(Ltildeq84(:,9,1)))';
 
irdem=squeeze(Ltildeq50(:,10,1));
irdel=(squeeze(Ltildeq16(:,10,1)))';
irdeu=(squeeze(Ltildeq84(:,10,1)))';

tbdem=squeeze(Ltildeq50(:,11,1));
tbdel=(squeeze(Ltildeq16(:,11,1)))';
tbdeu=(squeeze(Ltildeq84(:,11,1)))';


load 'results_fi.mat';

Ltildeq50=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 50th
Ltildeq16=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 16th
Ltildeq84=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 84th
 
Ltildeq025=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 025th
Ltildeq975=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 975th
 
for ii=1:size(Ltilde,1)
    for jj=1:size(Ltilde,2)
        for kk=1:size(Ltilde,3)
        Ltildeq50(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.5);
        Ltildeq16(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.16);
        Ltildeq84(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.84);
        
        Ltildeq025(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.025);
        Ltildeq975(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.975);
        end
    end
end

aa=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       aa(iii,jjj)=(Ltilde(iii,9,1,jjj));
end
end
inf_ = zeros(61-12,size(Ltilde,4));
for i = 1:61-12
  inf_(i,:)       = (aa(i+12,:)      -aa(i,:));
end
clear i

ir=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       ir(iii,jjj)=(Ltilde(iii,10,1,jjj));
end
end

for i = 1:61-12
ri(i,:) = ir(i,:) - inf_(i,:);
end

rifim = quantile(ri',0.5);
rifil = quantile(ri',0.16);
rifiu = quantile(ri',0.84);
clear aa i iii jjj ii jj kk ri
 
ipusfim= squeeze(Ltildeq50(:,1,1));
ipusfil=(squeeze(Ltildeq16(:,1,1)))';
ipusfiu=(squeeze(Ltildeq84(:,1,1)))';

cpiusfim=squeeze(Ltildeq50(:,2,1));
cpiusfil=(squeeze(Ltildeq16(:,2,1)))';
cpiusfiu=(squeeze(Ltildeq84(:,2,1)))';

cpusfim=squeeze(Ltildeq50(:,3,1));
cpusfil=(squeeze(Ltildeq16(:,3,1)))';
cpusfiu=(squeeze(Ltildeq84(:,3,1)))';

trusfim=squeeze(Ltildeq50(:,4,1));
trusfil=(squeeze(Ltildeq16(:,4,1)))';
trusfiu=(squeeze(Ltildeq84(:,4,1)))';

nbrusfim=squeeze(Ltildeq50(:,5,1));
nbrusfil=(squeeze(Ltildeq16(:,5,1)))';
nbrusfiu=(squeeze(Ltildeq84(:,5,1)))';

ffrfim=squeeze(Ltildeq50(:,6,1));
ffrfil=(squeeze(Ltildeq16(:,6,1)))';
ffrfiu=(squeeze(Ltildeq84(:,6,1)))';

exfim=squeeze(Ltildeq50(:,7,1));
exfil=(squeeze(Ltildeq16(:,7,1)))';
exfiu=(squeeze(Ltildeq84(:,7,1)))';

ipfim=squeeze(Ltildeq50(:,8,1));
ipfil=(squeeze(Ltildeq16(:,8,1)))';
ipfiu=(squeeze(Ltildeq84(:,8,1)))';

cpifim=squeeze(Ltildeq50(:,9,1));
cpifil=(squeeze(Ltildeq16(:,9,1)))';
cpifiu=(squeeze(Ltildeq84(:,9,1)))';
 
irfim=squeeze(Ltildeq50(:,10,1));
irfil=(squeeze(Ltildeq16(:,10,1)))';
irfiu=(squeeze(Ltildeq84(:,10,1)))';

tbfim=squeeze(Ltildeq50(:,11,1));
tbfil=(squeeze(Ltildeq16(:,11,1)))';
tbfiu=(squeeze(Ltildeq84(:,11,1)))';


load 'results_fr.mat';

Ltildeq50=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 50th
Ltildeq16=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 16th
Ltildeq84=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 84th
 
Ltildeq025=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 025th
Ltildeq975=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 975th
 
for ii=1:size(Ltilde,1)
    for jj=1:size(Ltilde,2)
        for kk=1:size(Ltilde,3)
        Ltildeq50(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.5);
        Ltildeq16(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.16);
        Ltildeq84(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.84);
        
        Ltildeq025(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.025);
        Ltildeq975(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.975);
        end
    end
end

aa=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       aa(iii,jjj)=(Ltilde(iii,9,1,jjj));
end
end
inf_ = zeros(61-12,size(Ltilde,4));
for i = 1:61-12
  inf_(i,:)       = (aa(i+12,:)      -aa(i,:));
end
clear i

ir=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       ir(iii,jjj)=(Ltilde(iii,10,1,jjj));
end
end

for i = 1:61-12
ri(i,:) = ir(i,:) - inf_(i,:);
end

rifrm = quantile(ri',0.5);
rifrl = quantile(ri',0.16);
rifru = quantile(ri',0.84);
clear aa i iii jjj ii jj kk ri
 
ipusfrm = squeeze(Ltildeq50(:,1,1));
ipusfrl=(squeeze(Ltildeq16(:,1,1)))';
ipusfru=(squeeze(Ltildeq84(:,1,1)))';

cpiusfrm=squeeze(Ltildeq50(:,2,1));
cpiusfrl=(squeeze(Ltildeq16(:,2,1)))';
cpiusfru=(squeeze(Ltildeq84(:,2,1)))';

cpusfrm=squeeze(Ltildeq50(:,3,1));
cpusfrl=(squeeze(Ltildeq16(:,3,1)))';
cpusfru=(squeeze(Ltildeq84(:,3,1)))';

trusfrm=squeeze(Ltildeq50(:,4,1));
trusfrl=(squeeze(Ltildeq16(:,4,1)))';
trusfru=(squeeze(Ltildeq84(:,4,1)))';

nbrusfrm=squeeze(Ltildeq50(:,5,1));
nbrusfrl=(squeeze(Ltildeq16(:,5,1)))';
nbrusfru=(squeeze(Ltildeq84(:,5,1)))';

ffrfrm=squeeze(Ltildeq50(:,6,1));
ffrfrl=(squeeze(Ltildeq16(:,6,1)))';
ffrfru=(squeeze(Ltildeq84(:,6,1)))';

exfrm=squeeze(Ltildeq50(:,7,1));
exfrl=(squeeze(Ltildeq16(:,7,1)))';
exfru=(squeeze(Ltildeq84(:,7,1)))';

ipfrm=squeeze(Ltildeq50(:,8,1));
ipfrl=(squeeze(Ltildeq16(:,8,1)))';
ipfru=(squeeze(Ltildeq84(:,8,1)))';

cpifrm=squeeze(Ltildeq50(:,9,1));
cpifrl=(squeeze(Ltildeq16(:,9,1)))';
cpifru=(squeeze(Ltildeq84(:,9,1)))';
 
irfrm=squeeze(Ltildeq50(:,10,1));
irfrl=(squeeze(Ltildeq16(:,10,1)))';
irfru=(squeeze(Ltildeq84(:,10,1)))';

tbfrm=squeeze(Ltildeq50(:,11,1));
tbfrl=(squeeze(Ltildeq16(:,11,1)))';
tbfru=(squeeze(Ltildeq84(:,11,1)))';



load 'results_ge.mat';

Ltildeq50=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 50th
Ltildeq16=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 16th
Ltildeq84=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 84th
 
Ltildeq025=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 025th
Ltildeq975=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 975th
 
for ii=1:size(Ltilde,1)
    for jj=1:size(Ltilde,2)
        for kk=1:size(Ltilde,3)
        Ltildeq50(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.5);
        Ltildeq16(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.16);
        Ltildeq84(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.84);
        
        Ltildeq025(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.025);
        Ltildeq975(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.975);
        end
    end
end

aa=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       aa(iii,jjj)=(Ltilde(iii,9,1,jjj));
end
end
inf_ = zeros(61-12,size(Ltilde,4));
for i = 1:61-12
  inf_(i,:)       = (aa(i+12,:)      -aa(i,:));
end
clear i

ir=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       ir(iii,jjj)=(Ltilde(iii,10,1,jjj));
end
end

for i = 1:61-12
ri(i,:) = ir(i,:) - inf_(i,:);
end

rigem = quantile(ri',0.5);
rigel = quantile(ri',0.16);
rigeu = quantile(ri',0.84);
clear aa i iii jjj ii jj kk ri
 
ipusgem= squeeze(Ltildeq50(:,1,1));
ipusgel=(squeeze(Ltildeq16(:,1,1)))';
ipusgeu=(squeeze(Ltildeq84(:,1,1)))';

cpiusgem=squeeze(Ltildeq50(:,2,1));
cpiusgel=(squeeze(Ltildeq16(:,2,1)))';
cpiusgeu=(squeeze(Ltildeq84(:,2,1)))';

cpusgem=squeeze(Ltildeq50(:,3,1));
cpusgel=(squeeze(Ltildeq16(:,3,1)))';
cpusgeu=(squeeze(Ltildeq84(:,3,1)))';

trusgem=squeeze(Ltildeq50(:,4,1));
trusgel=(squeeze(Ltildeq16(:,4,1)))';
trusgeu=(squeeze(Ltildeq84(:,4,1)))';

nbrusgem=squeeze(Ltildeq50(:,5,1));
nbrusgel=(squeeze(Ltildeq16(:,5,1)))';
nbrusgeu=(squeeze(Ltildeq84(:,5,1)))';

ffrgem=squeeze(Ltildeq50(:,6,1));
ffrgel=(squeeze(Ltildeq16(:,6,1)))';
ffrgeu=(squeeze(Ltildeq84(:,6,1)))';

exgem=squeeze(Ltildeq50(:,7,1));
exgel=(squeeze(Ltildeq16(:,7,1)))';
exgeu=(squeeze(Ltildeq84(:,7,1)))';

ipgem=squeeze(Ltildeq50(:,8,1));
ipgel=(squeeze(Ltildeq16(:,8,1)))';
ipgeu=(squeeze(Ltildeq84(:,8,1)))';

cpigem=squeeze(Ltildeq50(:,9,1));
cpigel=(squeeze(Ltildeq16(:,9,1)))';
cpigeu=(squeeze(Ltildeq84(:,9,1)))';
 
irgem=squeeze(Ltildeq50(:,10,1));
irgel=(squeeze(Ltildeq16(:,10,1)))';
irgeu=(squeeze(Ltildeq84(:,10,1)))';

tbgem=squeeze(Ltildeq50(:,11,1));
tbgel=(squeeze(Ltildeq16(:,11,1)))';
tbgeu=(squeeze(Ltildeq84(:,11,1)))';



load 'results_it.mat';

Ltildeq50=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 50th
Ltildeq16=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 16th
Ltildeq84=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 84th

Ltildeq025=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 025th
Ltildeq975=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 975th

for ii=1:size(Ltilde,1)
    for jj=1:size(Ltilde,2)
        for kk=1:size(Ltilde,3)
        Ltildeq50(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.5);
        Ltildeq16(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.16);
        Ltildeq84(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.84);
        
        Ltildeq025(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.025);
        Ltildeq975(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.975);
        end
    end
end

aa=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       aa(iii,jjj)=(Ltilde(iii,9,1,jjj));
end
end
inf_ = zeros(61-12,size(Ltilde,4));
for i = 1:61-12
  inf_(i,:)       = (aa(i+12,:)      -aa(i,:));
end
clear i

ir=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       ir(iii,jjj)=(Ltilde(iii,10,1,jjj));
end
end

for i = 1:61-12
ri(i,:) = ir(i,:) - inf_(i,:);
end

riitm = quantile(ri',0.5);
riitl = quantile(ri',0.16);
riitu = quantile(ri',0.84);
clear aa i iii jjj ii jj kk ri

ipusitm = squeeze(Ltildeq50(:,1,1));
ipusitl=(squeeze(Ltildeq16(:,1,1)))';
ipusitu=(squeeze(Ltildeq84(:,1,1)))';

cpiusitm=squeeze(Ltildeq50(:,2,1));
cpiusitl=(squeeze(Ltildeq16(:,2,1)))';
cpiusitu=(squeeze(Ltildeq84(:,2,1)))';

cpusitm=squeeze(Ltildeq50(:,3,1));
cpusitl=(squeeze(Ltildeq16(:,3,1)))';
cpusitu=(squeeze(Ltildeq84(:,3,1)))';

trusitm=squeeze(Ltildeq50(:,4,1));
trusitl=(squeeze(Ltildeq16(:,4,1)))';
trusitu=(squeeze(Ltildeq84(:,4,1)))';

nbrusitm=squeeze(Ltildeq50(:,5,1));
nbrusitl=(squeeze(Ltildeq16(:,5,1)))';
nbrusitu=(squeeze(Ltildeq84(:,5,1)))';

ffritm=squeeze(Ltildeq50(:,6,1));
ffritl=(squeeze(Ltildeq16(:,6,1)))';
ffritu=(squeeze(Ltildeq84(:,6,1)))';

exitm=squeeze(Ltildeq50(:,7,1));
exitl=(squeeze(Ltildeq16(:,7,1)))';
exitu=(squeeze(Ltildeq84(:,7,1)))';

ipitm=squeeze(Ltildeq50(:,8,1));
ipitl=(squeeze(Ltildeq16(:,8,1)))';
ipitu=(squeeze(Ltildeq84(:,8,1)))';

cpiitm=squeeze(Ltildeq50(:,9,1));
cpiitl=(squeeze(Ltildeq16(:,9,1)))';
cpiitu=(squeeze(Ltildeq84(:,9,1)))';

iritm=squeeze(Ltildeq50(:,10,1));
iritl=(squeeze(Ltildeq16(:,10,1)))';
iritu=(squeeze(Ltildeq84(:,10,1)))';

tbitm=squeeze(Ltildeq50(:,11,1));
tbitl=(squeeze(Ltildeq16(:,11,1)))';
tbitu=(squeeze(Ltildeq84(:,11,1)))';


load 'results_jp.mat';

Ltildeq50=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 50th
Ltildeq16=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 16th
Ltildeq84=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 84th
 
Ltildeq025=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 025th
Ltildeq975=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 975th
 
for ii=1:size(Ltilde,1)
    for jj=1:size(Ltilde,2)
        for kk=1:size(Ltilde,3)
        Ltildeq50(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.5);
        Ltildeq16(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.16);
        Ltildeq84(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.84);
        
        Ltildeq025(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.025);
        Ltildeq975(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.975);
        end
    end
end

aa=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       aa(iii,jjj)=(Ltilde(iii,9,1,jjj));
end
end
inf_ = zeros(61-12,size(Ltilde,4));
for i = 1:61-12
  inf_(i,:)       = (aa(i+12,:)      -aa(i,:));
end
clear i

ir=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       ir(iii,jjj)=(Ltilde(iii,10,1,jjj));
end
end

for i = 1:61-12
ri(i,:) = ir(i,:) - inf_(i,:);
end

rijpm = quantile(ri',0.5);
rijpl = quantile(ri',0.16);
rijpu = quantile(ri',0.84);
clear aa i iii jjj ii jj kk ri
 
ipusjpm= squeeze(Ltildeq50(:,1,1));
ipusjpl=(squeeze(Ltildeq16(:,1,1)))';
ipusjpu=(squeeze(Ltildeq84(:,1,1)))';

cpiusjpm=squeeze(Ltildeq50(:,2,1));
cpiusjpl=(squeeze(Ltildeq16(:,2,1)))';
cpiusjpu=(squeeze(Ltildeq84(:,2,1)))';

cpusjpm=squeeze(Ltildeq50(:,3,1));
cpusjpl=(squeeze(Ltildeq16(:,3,1)))';
cpusjpu=(squeeze(Ltildeq84(:,3,1)))';

trusjpm=squeeze(Ltildeq50(:,4,1));
trusjpl=(squeeze(Ltildeq16(:,4,1)))';
trusjpu=(squeeze(Ltildeq84(:,4,1)))';

nbrusjpm=squeeze(Ltildeq50(:,5,1));
nbrusjpl=(squeeze(Ltildeq16(:,5,1)))';
nbrusjpu=(squeeze(Ltildeq84(:,5,1)))';

ffrjpm=squeeze(Ltildeq50(:,6,1));
ffrjpl=(squeeze(Ltildeq16(:,6,1)))';
ffrjpu=(squeeze(Ltildeq84(:,6,1)))';

exjpm=squeeze(Ltildeq50(:,7,1));
exjpl=(squeeze(Ltildeq16(:,7,1)))';
exjpu=(squeeze(Ltildeq84(:,7,1)))';

ipjpm=squeeze(Ltildeq50(:,8,1));
ipjpl=(squeeze(Ltildeq16(:,8,1)))';
ipjpu=(squeeze(Ltildeq84(:,8,1)))';

cpijpm=squeeze(Ltildeq50(:,9,1));
cpijpl=(squeeze(Ltildeq16(:,9,1)))';
cpijpu=(squeeze(Ltildeq84(:,9,1)))';
 
irjpm=squeeze(Ltildeq50(:,10,1));
irjpl=(squeeze(Ltildeq16(:,10,1)))';
irjpu=(squeeze(Ltildeq84(:,10,1)))';

tbjpm=squeeze(Ltildeq50(:,11,1));
tbjpl=(squeeze(Ltildeq16(:,11,1)))';
tbjpu=(squeeze(Ltildeq84(:,11,1)))';




load 'results_ne.mat';

Ltildeq50=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 50th
Ltildeq16=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 16th
Ltildeq84=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 84th
 
Ltildeq025=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 025th
Ltildeq975=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 975th
 
for ii=1:size(Ltilde,1)
    for jj=1:size(Ltilde,2)
        for kk=1:size(Ltilde,3)
        Ltildeq50(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.5);
        Ltildeq16(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.16);
        Ltildeq84(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.84);
        
        Ltildeq025(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.025);
        Ltildeq975(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.975);
        end
    end
end

aa=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       aa(iii,jjj)=(Ltilde(iii,9,1,jjj));
end
end
inf_ = zeros(61-12,size(Ltilde,4));
for i = 1:61-12
  inf_(i,:)       = (aa(i+12,:)      -aa(i,:));
end
clear i

ir=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       ir(iii,jjj)=(Ltilde(iii,10,1,jjj));
end
end

for i = 1:61-12
ri(i,:) = ir(i,:) - inf_(i,:);
end

rinem = quantile(ri',0.5);
rinel = quantile(ri',0.16);
rineu = quantile(ri',0.84);
clear aa i iii jjj ii jj kk ri
 
ipusnem= squeeze(Ltildeq50(:,1,1));
ipusnel=(squeeze(Ltildeq16(:,1,1)))';
ipusneu=(squeeze(Ltildeq84(:,1,1)))';

cpiusnem=squeeze(Ltildeq50(:,2,1));
cpiusnel=(squeeze(Ltildeq16(:,2,1)))';
cpiusneu=(squeeze(Ltildeq84(:,2,1)))';

cpusnem=squeeze(Ltildeq50(:,3,1));
cpusnel=(squeeze(Ltildeq16(:,3,1)))';
cpusneu=(squeeze(Ltildeq84(:,3,1)))';

trusnem=squeeze(Ltildeq50(:,4,1));
trusnel=(squeeze(Ltildeq16(:,4,1)))';
trusneu=(squeeze(Ltildeq84(:,4,1)))';

nbrusnem=squeeze(Ltildeq50(:,5,1));
nbrusnel=(squeeze(Ltildeq16(:,5,1)))';
nbrusneu=(squeeze(Ltildeq84(:,5,1)))';

ffrnem=squeeze(Ltildeq50(:,6,1));
ffrnel=(squeeze(Ltildeq16(:,6,1)))';
ffrneu=(squeeze(Ltildeq84(:,6,1)))';

exnem=squeeze(Ltildeq50(:,7,1));
exnel=(squeeze(Ltildeq16(:,7,1)))';
exneu=(squeeze(Ltildeq84(:,7,1)))';

ipnem=squeeze(Ltildeq50(:,8,1));
ipnel=(squeeze(Ltildeq16(:,8,1)))';
ipneu=(squeeze(Ltildeq84(:,8,1)))';

cpinem=squeeze(Ltildeq50(:,9,1));
cpinel=(squeeze(Ltildeq16(:,9,1)))';
cpineu=(squeeze(Ltildeq84(:,9,1)))';
 
irnem=squeeze(Ltildeq50(:,10,1));
irnel=(squeeze(Ltildeq16(:,10,1)))';
irneu=(squeeze(Ltildeq84(:,10,1)))';

tbnem=squeeze(Ltildeq50(:,11,1));
tbnel=(squeeze(Ltildeq16(:,11,1)))';
tbneu=(squeeze(Ltildeq84(:,11,1)))';




load 'results_sp.mat';

Ltildeq50=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 50th
Ltildeq16=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 16th
Ltildeq84=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 84th
 
Ltildeq025=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 025th
Ltildeq975=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 975th
 
for ii=1:size(Ltilde,1)
    for jj=1:size(Ltilde,2)
        for kk=1:size(Ltilde,3)
        Ltildeq50(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.5);
        Ltildeq16(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.16);
        Ltildeq84(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.84);
        
        Ltildeq025(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.025);
        Ltildeq975(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.975);
        end
    end
end

aa=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       aa(iii,jjj)=(Ltilde(iii,9,1,jjj));
end
end
inf_ = zeros(61-12,size(Ltilde,4));
for i = 1:61-12
  inf_(i,:)       = (aa(i+12,:)      -aa(i,:));
end
clear i

ir=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       ir(iii,jjj)=(Ltilde(iii,10,1,jjj));
end
end

for i = 1:61-12
ri(i,:) = ir(i,:) - inf_(i,:);
end

rispm = quantile(ri',0.5);
rispl = quantile(ri',0.16);
rispu = quantile(ri',0.84);
clear aa i iii jjj ii jj kk ri

ipusspm= squeeze(Ltildeq50(:,1,1));
ipusspl=(squeeze(Ltildeq16(:,1,1)))';
ipusspu=(squeeze(Ltildeq84(:,1,1)))';

cpiusspm=squeeze(Ltildeq50(:,2,1));
cpiusspl=(squeeze(Ltildeq16(:,2,1)))';
cpiusspu=(squeeze(Ltildeq84(:,2,1)))';

cpusspm=squeeze(Ltildeq50(:,3,1));
cpusspl=(squeeze(Ltildeq16(:,3,1)))';
cpusspu=(squeeze(Ltildeq84(:,3,1)))';

trusspm=squeeze(Ltildeq50(:,4,1));
trusspl=(squeeze(Ltildeq16(:,4,1)))';
trusspu=(squeeze(Ltildeq84(:,4,1)))';

nbrusspm=squeeze(Ltildeq50(:,5,1));
nbrusspl=(squeeze(Ltildeq16(:,5,1)))';
nbrusspu=(squeeze(Ltildeq84(:,5,1)))';

ffrspm=squeeze(Ltildeq50(:,6,1));
ffrspl=(squeeze(Ltildeq16(:,6,1)))';
ffrspu=(squeeze(Ltildeq84(:,6,1)))';

exspm=squeeze(Ltildeq50(:,7,1));
exspl=(squeeze(Ltildeq16(:,7,1)))';
exspu=(squeeze(Ltildeq84(:,7,1)))';

ipspm=squeeze(Ltildeq50(:,8,1));
ipspl=(squeeze(Ltildeq16(:,8,1)))';
ipspu=(squeeze(Ltildeq84(:,8,1)))';

cpispm=squeeze(Ltildeq50(:,9,1));
cpispl=(squeeze(Ltildeq16(:,9,1)))';
cpispu=(squeeze(Ltildeq84(:,9,1)))';
 
irspm=squeeze(Ltildeq50(:,10,1));
irspl=(squeeze(Ltildeq16(:,10,1)))';
irspu=(squeeze(Ltildeq84(:,10,1)))';

tbspm=squeeze(Ltildeq50(:,11,1));
tbspl=(squeeze(Ltildeq16(:,11,1)))';
tbspu=(squeeze(Ltildeq84(:,11,1)))';



load 'results_sw.mat';

Ltildeq50=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 50th
Ltildeq16=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 16th
Ltildeq84=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 84th
 
Ltildeq025=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 025th
Ltildeq975=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 975th
 
for ii=1:size(Ltilde,1)
    for jj=1:size(Ltilde,2)
        for kk=1:size(Ltilde,3)
        Ltildeq50(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.5);
        Ltildeq16(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.16);
        Ltildeq84(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.84);
        
        Ltildeq025(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.025);
        Ltildeq975(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.975);
        end
    end
end

aa=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       aa(iii,jjj)=(Ltilde(iii,9,1,jjj));
end
end
inf_ = zeros(61-12,size(Ltilde,4));
for i = 1:61-12
  inf_(i,:)       = (aa(i+12,:)      -aa(i,:));
end
clear i

ir=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       ir(iii,jjj)=(Ltilde(iii,10,1,jjj));
end
end

for i = 1:61-12
ri(i,:) = ir(i,:) - inf_(i,:);
end

riswm = quantile(ri',0.5);
riswl = quantile(ri',0.16);
riswu = quantile(ri',0.84);
clear aa i iii jjj ii jj kk ri
 
ipusswm= squeeze(Ltildeq50(:,1,1));
ipusswl=(squeeze(Ltildeq16(:,1,1)))';
ipusswu=(squeeze(Ltildeq84(:,1,1)))';

cpiusswm=squeeze(Ltildeq50(:,2,1));
cpiusswl=(squeeze(Ltildeq16(:,2,1)))';
cpiusswu=(squeeze(Ltildeq84(:,2,1)))';

cpusswm=squeeze(Ltildeq50(:,3,1));
cpusswl=(squeeze(Ltildeq16(:,3,1)))';
cpusswu=(squeeze(Ltildeq84(:,3,1)))';

trusswm=squeeze(Ltildeq50(:,4,1));
trusswl=(squeeze(Ltildeq16(:,4,1)))';
trusswu=(squeeze(Ltildeq84(:,4,1)))';

nbrusswm=squeeze(Ltildeq50(:,5,1));
nbrusswl=(squeeze(Ltildeq16(:,5,1)))';
nbrusswu=(squeeze(Ltildeq84(:,5,1)))';

ffrswm=squeeze(Ltildeq50(:,6,1));
ffrswl=(squeeze(Ltildeq16(:,6,1)))';
ffrswu=(squeeze(Ltildeq84(:,6,1)))';

exswm=squeeze(Ltildeq50(:,7,1));
exswl=(squeeze(Ltildeq16(:,7,1)))';
exswu=(squeeze(Ltildeq84(:,7,1)))';

ipswm=squeeze(Ltildeq50(:,8,1));
ipswl=(squeeze(Ltildeq16(:,8,1)))';
ipswu=(squeeze(Ltildeq84(:,8,1)))';

cpiswm=squeeze(Ltildeq50(:,9,1));
cpiswl=(squeeze(Ltildeq16(:,9,1)))';
cpiswu=(squeeze(Ltildeq84(:,9,1)))';
 
irswm=squeeze(Ltildeq50(:,10,1));
irswl=(squeeze(Ltildeq16(:,10,1)))';
irswu=(squeeze(Ltildeq84(:,10,1)))';

tbswm=squeeze(Ltildeq50(:,11,1));
tbswl=(squeeze(Ltildeq16(:,11,1)))';
tbswu=(squeeze(Ltildeq84(:,11,1)))';


load 'results_tu.mat';

Ltildeq50=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 50th
Ltildeq16=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 16th
Ltildeq84=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 84th
 
Ltildeq025=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 025th
Ltildeq975=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 975th
 
for ii=1:size(Ltilde,1)
    for jj=1:size(Ltilde,2)
        for kk=1:size(Ltilde,3)
        Ltildeq50(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.5);
        Ltildeq16(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.16);
        Ltildeq84(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.84);
        
        Ltildeq025(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.025);
        Ltildeq975(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.975);
        end
    end
end

aa=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       aa(iii,jjj)=(Ltilde(iii,9,1,jjj));
end
end
inf_ = zeros(61-12,size(Ltilde,4));
for i = 1:61-12
  inf_(i,:)       = (aa(i+12,:)      -aa(i,:));
end
clear i

ir=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       ir(iii,jjj)=(Ltilde(iii,10,1,jjj));
end
end

for i = 1:61-12
ri(i,:) = ir(i,:) - inf_(i,:);
end

ritum = quantile(ri',0.5);
ritul = quantile(ri',0.16);
rituu = quantile(ri',0.84);
clear aa i iii jjj ii jj kk ri
 
ipustum= squeeze(Ltildeq50(:,1,1));
ipustul=(squeeze(Ltildeq16(:,1,1)))';
ipustuu=(squeeze(Ltildeq84(:,1,1)))';

cpiustum=squeeze(Ltildeq50(:,2,1));
cpiustul=(squeeze(Ltildeq16(:,2,1)))';
cpiustuu=(squeeze(Ltildeq84(:,2,1)))';

cpustum=squeeze(Ltildeq50(:,3,1));
cpustul=(squeeze(Ltildeq16(:,3,1)))';
cpustuu=(squeeze(Ltildeq84(:,3,1)))';

trustum=squeeze(Ltildeq50(:,4,1));
trustul=(squeeze(Ltildeq16(:,4,1)))';
trustuu=(squeeze(Ltildeq84(:,4,1)))';

nbrustum=squeeze(Ltildeq50(:,5,1));
nbrustul=(squeeze(Ltildeq16(:,5,1)))';
nbrustuu=(squeeze(Ltildeq84(:,5,1)))';

ffrtum=squeeze(Ltildeq50(:,6,1));
ffrtul=(squeeze(Ltildeq16(:,6,1)))';
ffrtuu=(squeeze(Ltildeq84(:,6,1)))';

extum=squeeze(Ltildeq50(:,7,1));
extul=(squeeze(Ltildeq16(:,7,1)))';
extuu=(squeeze(Ltildeq84(:,7,1)))';

iptum=squeeze(Ltildeq50(:,8,1));
iptul=(squeeze(Ltildeq16(:,8,1)))';
iptuu=(squeeze(Ltildeq84(:,8,1)))';

cpitum=squeeze(Ltildeq50(:,9,1));
cpitul=(squeeze(Ltildeq16(:,9,1)))';
cpituu=(squeeze(Ltildeq84(:,9,1)))';
 
irtum=squeeze(Ltildeq50(:,10,1));
irtul=(squeeze(Ltildeq16(:,10,1)))';
irtuu=(squeeze(Ltildeq84(:,10,1)))';

tbtum=squeeze(Ltildeq50(:,11,1));
tbtul=(squeeze(Ltildeq16(:,11,1)))';
tbtuu=(squeeze(Ltildeq84(:,11,1)))';


load 'results_uk.mat';

Ltildeq50=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 50th
Ltildeq16=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 16th
Ltildeq84=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 84th
 
Ltildeq025=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 025th
Ltildeq975=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 975th
 
for ii=1:size(Ltilde,1)
    for jj=1:size(Ltilde,2)
        for kk=1:size(Ltilde,3)
        Ltildeq50(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.5);
        Ltildeq16(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.16);
        Ltildeq84(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.84);
        
        Ltildeq025(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.025);
        Ltildeq975(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.975);
        end
    end
end

aa=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       aa(iii,jjj)=(Ltilde(iii,9,1,jjj));
end
end
inf_ = zeros(61-12,size(Ltilde,4));
for i = 1:61-12
  inf_(i,:)       = (aa(i+12,:)      -aa(i,:));
end
clear i

ir=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       ir(iii,jjj)=(Ltilde(iii,10,1,jjj));
end
end

for i = 1:61-12
ri(i,:) = ir(i,:) - inf_(i,:);
end

riukm = quantile(ri',0.5);
riukl = quantile(ri',0.16);
riuku = quantile(ri',0.84);
clear aa i iii jjj ii jj kk ri
 
ipusukm= squeeze(Ltildeq50(:,1,1));
ipusukl=(squeeze(Ltildeq16(:,1,1)))';
ipusuku=(squeeze(Ltildeq84(:,1,1)))';

cpiusukm=squeeze(Ltildeq50(:,2,1));
cpiusukl=(squeeze(Ltildeq16(:,2,1)))';
cpiusuku=(squeeze(Ltildeq84(:,2,1)))';

cpusukm=squeeze(Ltildeq50(:,3,1));
cpusukl=(squeeze(Ltildeq16(:,3,1)))';
cpusuku=(squeeze(Ltildeq84(:,3,1)))';

trusukm=squeeze(Ltildeq50(:,4,1));
trusukl=(squeeze(Ltildeq16(:,4,1)))';
trusuku=(squeeze(Ltildeq84(:,4,1)))';

nbrusukm=squeeze(Ltildeq50(:,5,1));
nbrusukl=(squeeze(Ltildeq16(:,5,1)))';
nbrusuku=(squeeze(Ltildeq84(:,5,1)))';

ffrukm=squeeze(Ltildeq50(:,6,1));
ffrukl=(squeeze(Ltildeq16(:,6,1)))';
ffruku=(squeeze(Ltildeq84(:,6,1)))';

exukm=squeeze(Ltildeq50(:,7,1));
exukl=(squeeze(Ltildeq16(:,7,1)))';
exuku=(squeeze(Ltildeq84(:,7,1)))';

ipukm=squeeze(Ltildeq50(:,8,1));
ipukl=(squeeze(Ltildeq16(:,8,1)))';
ipuku=(squeeze(Ltildeq84(:,8,1)))';

cpiukm=squeeze(Ltildeq50(:,9,1));
cpiukl=(squeeze(Ltildeq16(:,9,1)))';
cpiuku=(squeeze(Ltildeq84(:,9,1)))';
 
irukm=squeeze(Ltildeq50(:,10,1));
irukl=(squeeze(Ltildeq16(:,10,1)))';
iruku=(squeeze(Ltildeq84(:,10,1)))';

tbukm=squeeze(Ltildeq50(:,11,1));
tbukl=(squeeze(Ltildeq16(:,11,1)))';
tbuku=(squeeze(Ltildeq84(:,11,1)))';



load 'results_au.mat';

Ltildeq50=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 50th
Ltildeq16=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 16th
Ltildeq84=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 84th
 
Ltildeq025=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 025th
Ltildeq975=zeros(size(Ltilde,1),size(Ltilde,2),size(Ltilde,3)); % store IRF quantile 975th
 
for ii=1:size(Ltilde,1)
    for jj=1:size(Ltilde,2)
        for kk=1:size(Ltilde,3)
        Ltildeq50(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.5);
        Ltildeq16(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.16);
        Ltildeq84(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.84);
        
        Ltildeq025(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.025);
        Ltildeq975(ii,jj,kk) = quantile(Ltilde(ii,jj,kk,:),0.975);
        end
    end
end
 
aa=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       aa(iii,jjj)=(Ltilde(iii,9,1,jjj));
end
end
inf_ = zeros(61-12,size(Ltilde,4));
for i = 1:61-12
  inf_(i,:)       = (aa(i+12,:)      -aa(i,:));
end
clear i

ir=zeros(size(Ltilde,1),size(Ltilde,4));
for iii=1:size(Ltilde,1)
for jjj=1:size(Ltilde,4)
       ir(iii,jjj)=(Ltilde(iii,10,1,jjj));
end
end

for i = 1:61-12
ri(i,:) = ir(i,:) - inf_(i,:);
end

riaum = quantile(ri',0.5);
riaul = quantile(ri',0.16);
riauu = quantile(ri',0.84);
clear aa i iii jjj ii jj kk ri

ipusaum= squeeze(Ltildeq50(:,1,1));
ipusaul=(squeeze(Ltildeq16(:,1,1)))';
ipusauu=(squeeze(Ltildeq84(:,1,1)))';

cpiusaum=squeeze(Ltildeq50(:,2,1));
cpiusaul=(squeeze(Ltildeq16(:,2,1)))';
cpiusauu=(squeeze(Ltildeq84(:,2,1)))';

cpusaum=squeeze(Ltildeq50(:,3,1));
cpusaul=(squeeze(Ltildeq16(:,3,1)))';
cpusauu=(squeeze(Ltildeq84(:,3,1)))';

trusaum=squeeze(Ltildeq50(:,4,1));
trusaul=(squeeze(Ltildeq16(:,4,1)))';
trusauu=(squeeze(Ltildeq84(:,4,1)))';

nbrusaum=squeeze(Ltildeq50(:,5,1));
nbrusaul=(squeeze(Ltildeq16(:,5,1)))';
nbrusauu=(squeeze(Ltildeq84(:,5,1)))';

ffraum=squeeze(Ltildeq50(:,6,1));
ffraul=(squeeze(Ltildeq16(:,6,1)))';
ffrauu=(squeeze(Ltildeq84(:,6,1)))';

exaum=squeeze(Ltildeq50(:,7,1));
exaul=(squeeze(Ltildeq16(:,7,1)))';
exauu=(squeeze(Ltildeq84(:,7,1)))';

ipaum=squeeze(Ltildeq50(:,8,1));
ipaul=(squeeze(Ltildeq16(:,8,1)))';
ipauu=(squeeze(Ltildeq84(:,8,1)))';

cpiaum=squeeze(Ltildeq50(:,9,1));
cpiaul=(squeeze(Ltildeq16(:,9,1)))';
cpiauu=(squeeze(Ltildeq84(:,9,1)))';
 
iraum=squeeze(Ltildeq50(:,10,1));
iraul=(squeeze(Ltildeq16(:,10,1)))';
irauu=(squeeze(Ltildeq84(:,10,1)))';

tbaum=squeeze(Ltildeq50(:,11,1));
tbaul=(squeeze(Ltildeq16(:,11,1)))';
tbauu=(squeeze(Ltildeq84(:,11,1)))';


%% Figures

ipusm = [ipusfrm/ffrfrm(1,1)  ipusgem/ffrgem(1,1)  ipusitm/ffritm(1,1)...  
         ipusjpm/ffrjpm(1,1)  ipusukm/ffrukm(1,1)   ...
         ipusdem/ffrdem(1,1)  ipustum/ffrtum(1,1)...
         ipuscam/ffrcam(1,1)  ipusaum/ffraum(1,1)...
         ipusnem/ffrnem(1,1)  ipusfim/ffrfim(1,1)...
         ipusspm/ffrspm(1,1)  ipusswm/ffrswm(1,1)]/4;
ipusl = [ipusfrl'/ffrfrl(1,1)  ipusgel'/ffrgel(1,1)  ipusitl'/ffritl(1,1)...  
         ipusjpl'/ffrjpl(1,1)  ipusukl'/ffrukl(1,1)  ...
         ipusdel'/ffrdel(1,1)  ipustul'/ffrtul(1,1)...
         ipuscal'/ffrcal(1,1)  ipusnel'/ffrnel(1,1)...
         ipusfil'/ffrfil(1,1)  ipusspl'/ffrspl(1,1)...
         ipusaul'/ffraul(1,1) ipusswl'/ffrswl(1,1)]/4;
ipusu = [ipusfru'/ffrfru(1,1)  ipusgeu'/ffrgeu(1,1)  ipusitu'/ffritu(1,1)...  
         ipusjpu'/ffrjpu(1,1)  ipusuku'/ffruku(1,1)  ...
         ipusdeu'/ffrdeu(1,1)  ipustuu'/ffrtuu(1,1)...
         ipuscau'/ffrcau(1,1)  ipusneu'/ffrneu(1,1)...
         ipusfiu'/ffrfiu(1,1)  ipusspu'/ffrspu(1,1)...
         ipusauu'/ffrauu(1,1)  ipusswu'/ffrswu(1,1)]/4;

cpiusm = [cpiusfrm/ffrfrm(1,1)  cpiusgem/ffrgem(1,1)  cpiusitm/ffritm(1,1)...  
         cpiusjpm/ffrjpm(1,1)  cpiusukm/ffrukm(1,1)  ...
         cpiusdem/ffrdem(1,1)  cpiustum/ffrtum(1,1)...
         cpiuscam/ffrcam(1,1)  cpiusnem/ffrnem(1,1)...
         cpiusfim/ffrfim(1,1)  cpiusspm/ffrspm(1,1)...
         cpiusaum/ffraum(1,1) cpiusswm/ffrswm(1,1)]/4;
cpiusl = [cpiusfrl'/ffrfrl(1,1)  cpiusgel'/ffrgel(1,1)  cpiusitl'/ffritl(1,1)...  
         cpiusjpl'/ffrjpl(1,1)  cpiusukl'/ffrukl(1,1)...
         cpiusdel'/ffrdel(1,1)  cpiustul'/ffrtul(1,1)...
         cpiuscal'/ffrcal(1,1)  cpiusnel'/ffrnel(1,1)...
         cpiusfil'/ffrfil(1,1)  cpiusspl'/ffrspl(1,1)...
         cpiusaul'/ffraul(1,1) cpiusswl'/ffrswl(1,1)]/4;
cpiusu = [cpiusfru'/ffrfru(1,1)  cpiusgeu'/ffrgeu(1,1)  cpiusitu'/ffritu(1,1)...  
         cpiusjpu'/ffrjpu(1,1)  cpiusuku'/ffruku(1,1)...
         cpiusdeu'/ffrdeu(1,1)  cpiustuu'/ffrtuu(1,1)...
         cpiuscau'/ffrcau(1,1)  cpiusneu'/ffrneu(1,1)...
         cpiusfiu'/ffrfiu(1,1)  cpiusspu'/ffrspu(1,1)...
         cpiusauu'/ffrauu(1,1)  cpiusswu'/ffrswu(1,1)]/4;

cpusm = [cpusfrm/ffrfrm(1,1)  cpusgem/ffrgem(1,1)  cpusitm/ffritm(1,1)...  
         cpusjpm/ffrjpm(1,1)  cpusukm/ffrukm(1,1)...
         cpusdem/ffrdem(1,1)  cpustum/ffrtum(1,1)...
         cpuscam/ffrcam(1,1)  cpusnem/ffrnem(1,1)...
         cpusfim/ffrfim(1,1)  cpusspm/ffrspm(1,1)...
         cpusaum/ffraum(1,1)  cpusswm/ffrswm(1,1)]/4;
cpusl = [cpusfrl'/ffrfrl(1,1)  cpusgel'/ffrgel(1,1)  cpusitl'/ffritl(1,1)...  
         cpusjpl'/ffrjpl(1,1)  cpusukl'/ffrukl(1,1)...
         cpusdel'/ffrdel(1,1)  cpustul'/ffrtul(1,1)...
         cpuscal'/ffrcal(1,1)  cpusnel'/ffrnel(1,1)...
         cpusfil'/ffrfil(1,1)  cpusspl'/ffrspl(1,1)...
         cpusaul'/ffraul(1,1)  cpusswl'/ffrswl(1,1)]/4;
cpusu = [cpusfru'/ffrfru(1,1)  cpusgeu'/ffrgeu(1,1)  cpusitu'/ffritu(1,1)...  
         cpusjpu'/ffrjpu(1,1)  cpusuku'/ffruku(1,1)...
         cpusdeu'/ffrdeu(1,1)  cpustuu'/ffrtuu(1,1)...
         cpuscau'/ffrcau(1,1)  cpusneu'/ffrneu(1,1)...
         cpusfiu'/ffrfiu(1,1)  cpusspu'/ffrspu(1,1)...
         cpusauu'/ffrauu(1,1)  cpusswu'/ffrswu(1,1)]/4;

trusm = [trusfrm/ffrfrm(1,1)  trusgem/ffrgem(1,1)  trusitm/ffritm(1,1)...  
         trusjpm/ffrjpm(1,1)  trusukm/ffrukm(1,1)...
         trusdem/ffrdem(1,1)  trustum/ffrtum(1,1)...
         truscam/ffrcam(1,1)  trusnem/ffrnem(1,1)...
         trusfim/ffrfim(1,1)  trusspm/ffrspm(1,1)...
         trusaum/ffraum(1,1)  trusswm/ffrswm(1,1)]/4;
trusl = [trusfrl'/ffrfrl(1,1)  trusgel'/ffrgel(1,1)  trusitl'/ffritl(1,1)...  
         trusjpl'/ffrjpl(1,1)  trusukl'/ffrukl(1,1)...
         trusdel'/ffrdel(1,1)  trustul'/ffrtul(1,1)...
         truscal'/ffrcal(1,1)  trusnel'/ffrnel(1,1)...
         trusfil'/ffrfil(1,1)  trusspl'/ffrspl(1,1)...
         trusaul'/ffraul(1,1)  trusswl'/ffrswl(1,1)]/4;
trusu = [trusfru'/ffrfru(1,1)  trusgeu'/ffrgeu(1,1)  trusitu'/ffritu(1,1)...  
         trusjpu'/ffrjpu(1,1)  trusuku'/ffruku(1,1)...
         trusdeu'/ffrdeu(1,1)  trustuu'/ffrtuu(1,1)...
         truscau'/ffrcau(1,1)  trusneu'/ffrneu(1,1)...
         trusfiu'/ffrfiu(1,1)  trusspu'/ffrspu(1,1)...
         trusauu'/ffrauu(1,1)  trusswu'/ffrswu(1,1)]/4;

nbrusm = [nbrusfrm/ffrfrm(1,1)  nbrusgem/ffrgem(1,1)  nbrusitm/ffritm(1,1)...  
         nbrusjpm/ffrjpm(1,1)  nbrusukm/ffrukm(1,1)  ...
         nbrusdem/ffrdem(1,1)  nbrustum/ffrtum(1,1)...
         nbruscam/ffrcam(1,1)  nbrusnem/ffrnem(1,1)...
         nbrusfim/ffrfim(1,1)  nbrusspm/ffrspm(1,1)...
         nbrusaum/ffraum(1,1)  nbrusswm/ffrswm(1,1)]/4;
nbrusl = [nbrusfrl'/ffrfrl(1,1)  nbrusgel'/ffrgel(1,1)  nbrusitl'/ffritl(1,1)...  
         nbrusjpl'/ffrjpl(1,1)  nbrusukl'/ffrukl(1,1)...
         nbrusdel'/ffrdel(1,1)  nbrustul'/ffrtul(1,1)...
         nbruscal'/ffrcal(1,1)  nbrusnel'/ffrnel(1,1)...
         nbrusfil'/ffrfil(1,1)  nbrusspl'/ffrspl(1,1)...
         nbrusaul'/ffraul(1,1)  nbrusswl'/ffrswl(1,1)]/4;
nbrusu = [nbrusfru'/ffrfru(1,1)  nbrusgeu'/ffrgeu(1,1)  nbrusitu'/ffritu(1,1)...  
         nbrusjpu'/ffrjpu(1,1)  nbrusuku'/ffruku(1,1)...
         nbrusdeu'/ffrdeu(1,1)  nbrustuu'/ffrtuu(1,1)...
         nbruscau'/ffrcau(1,1)  nbrusneu'/ffrneu(1,1)...
         nbrusfiu'/ffrfiu(1,1)  nbrusspu'/ffrspu(1,1)...
         nbrusauu'/ffrauu(1,1)  nbrusswu'/ffrswu(1,1)]/4;

ffrm = [ffrfrm/ffrfrm(1,1)  ffrgem/ffrgem(1,1)  ffritm/ffritm(1,1)...  
         ffrjpm/ffrjpm(1,1)  ffrukm/ffrukm(1,1)...
         ffrdem/ffrdem(1,1)  ffrtum/ffrtum(1,1)...
         ffrcam/ffrcam(1,1)  ffrnem/ffrnem(1,1)...
         ffrfim/ffrfim(1,1)  ffrspm/ffrspm(1,1)...
         ffraum/ffraum(1,1)  ffrswm/ffrswm(1,1)]/4;
ffrl = [ffrfrl'/ffrfrl(1,1)  ffrgel'/ffrgel(1,1)  ffritl'/ffritl(1,1)...  
         ffrjpl'/ffrjpl(1,1)  ffrukl'/ffrukl(1,1)...
         ffrdel'/ffrdel(1,1)  ffrtul'/ffrtul(1,1)...
         ffrcal'/ffrcal(1,1)  ffrnel'/ffrnel(1,1)...
         ffrfil'/ffrfil(1,1)  ffrspl'/ffrspl(1,1)...
         ffraul'/ffraul(1,1)  ffrswl'/ffrswl(1,1)]/4;
ffru = [ffrfru'/ffrfru(1,1)  ffrgeu'/ffrgeu(1,1)  ffritu'/ffritu(1,1)...  
         ffrjpu'/ffrjpu(1,1)  ffruku'/ffruku(1,1)...
         ffrdeu'/ffrdeu(1,1)  ffrtuu'/ffrtuu(1,1)...
         ffrcau'/ffrcau(1,1)  ffrneu'/ffrneu(1,1)...
         ffrfiu'/ffrfiu(1,1)  ffrspu'/ffrspu(1,1)...
         ffrauu'/ffrauu(1,1)  ffrswu'/ffrswu(1,1)]/4;


IRF_YUS = quantile(ipusm', 0.5)';       
IRF_COMP = quantile(cpusm', 0.5)';     
IRF_CPIUS = quantile(cpiusm', 0.5)';     
IRF_FFR = quantile(ffrm', 0.5)';     
IRF_NBR = quantile(nbrusm', 0.5)';     
IRF_TR = quantile(trusm', 0.5)';     

IRF_YUS_low = quantile(ipusl', 0.5)';       
IRF_COMP_low = quantile(cpusl', 0.5)';     
IRF_CPIUS_low = quantile(cpiusl', 0.5)';     
IRF_FFR_low = quantile(ffrl', 0.5)';     
IRF_NBR_low = quantile(nbrusl', 0.5)';     
IRF_TR_low = quantile(trusl', 0.5)';   

IRF_YUS_up = quantile(ipusu', 0.5)';       
IRF_COMP_up = quantile(cpusu', 0.5)';     
IRF_CPIUS_up = quantile(cpiusu', 0.5)';     
IRF_FFR_up = quantile(ffru', 0.5)';     
IRF_NBR_up = quantile(nbrusu', 0.5)';     
IRF_TR_up = quantile(trusu', 0.5)';    

H = 48;

hFig = figure('Name','Figure Online Appendix B','NumberTitle','off');
set(hFig, 'Position', [0 0 700 3*850/4])
 
subplot(3,2,1)
plot(0:1:H,IRF_YUS(1:49),'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,IRF_YUS_up(1:49)',IRF_YUS_low(1:49)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.6 -0.4 -0.2 0 0.2])
axis([0 48 -0.6 0.2])
%ylabel('Percent','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title(' Output','fontweight','bold','FontSize',ftsizetitle)
box on
 
subplot(3,2,2)
plot(0:1:H,IRF_CPIUS(1:49),'-k','LineWidth',medianwidth)
hold on
x = 0:1:H;
[~,~]=jbfill(x,IRF_CPIUS_low(1:49)',IRF_CPIUS_up(1:49)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth)
set(gca,'YTick',[-0.4 -0.2 0])
axis([0 48 -0.4 0])
%ylabel('Percent','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title('CPI','fontweight','bold','FontSize',ftsizetitle)
box on
 
subplot(3,2,3)
plot(0:1:H,IRF_COMP(1:49),'-k','LineWidth',medianwidth)
hold on
x = 0:1:H;
[~,~]=jbfill(x,IRF_COMP_low(1:49)',IRF_COMP_up(1:49)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth)
set(gca,'YTick',[-2 -1 0])
axis([0 48 -2 0])
%ylabel('Percent','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title(' Commodity Price Index','fontweight','bold','FontSize',ftsizetitle)
box on
 
subplot(3,2,4)
plot(0:1:H,IRF_TR(1:49),'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,IRF_TR_low(1:49)',IRF_TR_up(1:49)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth)
set(gca,'YTick',[-1 -0.5 0 0.5])
axis([0 48 -1 0.5])
%ylabel('Percent','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title(' Total Reserves','fontweight','bold','FontSize',ftsizetitle)
box on
 
subplot(3,2,5)
plot(0:1:H,IRF_NBR(1:49),'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,IRF_NBR_low(1:49)',IRF_NBR_up(1:49)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-1 -0.5 0 0.5])
axis([0 48 -1 0.5])
%ylabel('Percent','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title(' Nonborrowed Reserves','fontweight','bold','FontSize',ftsizetitle)
box on
 
subplot(3,2,6)
plot(0:1:H,IRF_FFR(1:49),'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,IRF_FFR_low(1:49)',IRF_FFR_up(1:49)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.25 0 0.25 0.5])
axis([0 48 -0.25 0.5])
%ylabel('Percentage points','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title(' Federal Funds Rate','fontweight','bold','FontSize',ftsizetitle)
box on
%SupTitle('Responses of US variables')
set(gcf, 'PaperPositionMode', 'auto');
print -dpng  'Figure Online Appendix B.png'     
     
     
ipoldm = [ipfrm/ffrfrm(1,1)  ipgem/ffrgem(1,1)  ipitm/ffritm(1,1)...  
          ipjpm/ffrjpm(1,1)  ipukm/ffrukm(1,1)  ipaum/ffraum(1,1)...
          ipdem/ffrdem(1,1) ipswm/ffrswm(1,1)]/4;
ipyoungm = [iptum/ffrtum(1,1)  ipcam/ffrcam(1,1)...
            ipnem/ffrnem(1,1)  ipfim/ffrfim(1,1)...
            ipspm/ffrspm(1,1)]/4;
ipoldl = [ipfrl'/ffrfrl(1,1)  ipgel'/ffrgel(1,1)  ipitl'/ffritl(1,1)...  
          ipjpl'/ffrjpl(1,1)  ipukl'/ffrukl(1,1)  ipaul'/ffraul(1,1) ...
          ipdel'/ffrdel(1,1) ipswl'/ffrswl(1,1)]/4;
ipyoungl = [iptul'/ffrtul(1,1)  ipcal'/ffrcal(1,1)...
            ipnel'/ffrnel(1,1)  ipfil'/ffrfil(1,1)...
            ipspl'/ffrspl(1,1)]/4;
ipoldu = [ipfru'/ffrfru(1,1)  ipgeu'/ffrgeu(1,1)  ipitu'/ffritu(1,1)...  
          ipjpu'/ffrjpu(1,1)  ipuku'/ffruku(1,1)  ipauu'/ffrauu(1,1)...
          ipdeu'/ffrdeu(1,1) ipswu'/ffrswu(1,1)]/4;
ipyoungu = [iptuu'/ffrtuu(1,1)  ipcau'/ffrcau(1,1)...
            ipneu'/ffrneu(1,1)  ipfiu'/ffrfiu(1,1)...
            ipspu'/ffrspu(1,1)]/4;
IRF_IP_old = quantile(ipoldm', 0.5)';       
IRF_IP_young = quantile(ipyoungm', 0.5)'; 
IRF_IP_old_low = quantile(ipoldl', 0.5)';       
IRF_IP_young_low = quantile(ipyoungl', 0.5)'; 
IRF_IP_old_up = quantile(ipoldu', 0.5)';       
IRF_IP_young_up = quantile(ipyoungu', 0.5)';      

rioldm = [rifrm'/ffrfrm(1,1)  rigem'/ffrgem(1,1)  riitm'/ffritm(1,1)...  
          rijpm'/ffrjpm(1,1)  riukm'/ffrukm(1,1)  riaum'/ffraum(1,1)  ...
          ridem'/ffrdem(1,1) riswm'/ffrswm(1,1)]/4;
riyoungm = [ritum'/ffrtum(1,1)  ricam'/ffrcam(1,1)...
            rinem'/ffrnem(1,1)  rifim'/ffrfim(1,1)...
            rispm'/ffrspm(1,1)]/4;
rioldl = [rifrl'/ffrfrl(1,1)  rigel'/ffrgel(1,1)  riitl'/ffritl(1,1)...  
          rijpl'/ffrjpl(1,1)  riukl'/ffrukl(1,1)  riaul'/ffraul(1,1) ...
          ridel'/ffrdel(1,1) riswl'/ffrswl(1,1)]/4;
riyoungl = [ritul'/ffrtul(1,1)  rical'/ffrcal(1,1)...
            rinel'/ffrnel(1,1)  rifil'/ffrfil(1,1)...
            rispl'/ffrspl(1,1)]/4;
rioldu = [rifru'/ffrfru(1,1)  rigeu'/ffrgeu(1,1)  riitu'/ffritu(1,1)...  
          rijpu'/ffrjpu(1,1)  riuku'/ffruku(1,1)  riauu'/ffrauu(1,1)  ...
          rideu'/ffrdeu(1,1) riswu'/ffrswu(1,1)]/4;
riyoungu = [rituu'/ffrtuu(1,1)  ricau'/ffrcau(1,1)...
            rineu'/ffrneu(1,1)  rifiu'/ffrfiu(1,1)...
            rispu'/ffrspu(1,1)]/4;    
IRF_RI_old = quantile(rioldm', 0.5)';       
IRF_RI_young = quantile(riyoungm', 0.5)'; 
IRF_RI_old_low = quantile(rioldl', 0.5)';       
IRF_RI_young_low = quantile(riyoungl', 0.5)'; 
IRF_RI_old_up = quantile(rioldu', 0.5)';       
IRF_RI_young_up = quantile(riyoungu', 0.5)'; 

tboldm = [tbfrm/ffrfrm(1,1)  tbgem/ffrgem(1,1)  tbitm/ffritm(1,1)...  
          tbjpm/ffrjpm(1,1)  tbukm/ffrukm(1,1)  tbaum/ffraum(1,1)  ...
          tbdem/ffrdem(1,1) tbswm/ffrswm(1,1)]/4;
tbyoungm = [tbtum/ffrtum(1,1)  tbcam/ffrcam(1,1)...
            tbnem/ffrnem(1,1)  tbfim/ffrfim(1,1)...
           tbspm/ffrspm(1,1)]/4;
tboldl = [tbfrl'/ffrfrl(1,1)  tbgel'/ffrgel(1,1)  tbitl'/ffritl(1,1)...  
          tbjpl'/ffrjpl(1,1)  tbukl'/ffrukl(1,1)  tbaul'/ffraul(1,1) ...
          tbdel'/ffrdel(1,1) tbswl'/ffrswl(1,1)]/4;
tbyoungl = [tbtul'/ffrtul(1,1)  tbcal'/ffrcal(1,1)...
            tbnel'/ffrnel(1,1)  tbfil'/ffrfil(1,1)...
            tbspl'/ffrspl(1,1)]/4;
tboldu = [tbfru'/ffrfru(1,1)  tbgeu'/ffrgeu(1,1)  tbitu'/ffritu(1,1)...  
          tbjpu'/ffrjpu(1,1)  tbuku'/ffruku(1,1)  tbauu'/ffrauu(1,1)  ...
          tbdeu'/ffrdeu(1,1) tbswu'/ffrswu(1,1)]/4;
tbyoungu = [tbtuu'/ffrtuu(1,1)  tbcau'/ffrcau(1,1)...
            tbneu'/ffrneu(1,1)  tbfiu'/ffrfiu(1,1)...
            tbspu'/ffrspu(1,1)]/4;
IRF_TB_old = quantile(tboldm', 0.5)';       
IRF_TB_young = quantile(tbyoungm', 0.5)'; 
IRF_TB_old_low = quantile(tboldl', 0.5)';       
IRF_TB_young_low = quantile(tbyoungl', 0.5)'; 
IRF_TB_old_up = quantile(tboldu', 0.5)';       
IRF_TB_young_up = quantile(tbyoungu', 0.5)';         


hFig = figure('Name','Figure 1','NumberTitle','off');
set(hFig, 'Position', [0 0 700 3*850/4])
subplot(3,2,5)
plot(0:1:H,IRF_IP_young(1:49),'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,IRF_IP_young_low(1:49)',IRF_IP_young_up(1:49)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.6 -0.4 -0.2 0 0.2])
axis([0 48 -0.6 0.2])
ylabel('Output','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(3,2,6)
plot(0:1:H,IRF_IP_old(1:49),'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,IRF_IP_old_low(1:49)',IRF_IP_old_up(1:49)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.6 -0.4 -0.2 0 0.2])
axis([0 48 -0.6 0.2])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(3,2,1)
plot(0:1:60-12,IRF_RI_young(1:49),'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:60-12;
[~,~]=jbfill(x,IRF_RI_young_low(1:49)',IRF_RI_young_up(1:49)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 0 0.1 0.2])
axis([0 48 -0.1 0.2])
ylabel('Real Interest Rate','fontweight','bold','FontSize',ftsizexlabel)
title('Young Countries','fontweight','bold','FontSize',ftsizetitle)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(3,2,2)
plot(0:1:60-12,IRF_RI_old(1:49),'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:60-12;
[~,~]=jbfill(x,IRF_RI_old_low(1:49)',IRF_RI_old_up(1:49)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 0 0.1 0.2])
axis([0 48 -0.1 0.2])
title('Old Countries','fontweight','bold','FontSize',ftsizetitle)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(3,2,3)
plot(0:1:H,IRF_TB_young(1:49),'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,IRF_TB_young_low(1:49)',IRF_TB_young_up(1:49)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 -0.1 0 0.1 0.2])
axis([0 48 -0.2 0.2])
ylabel('Net Exports','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(3,2,4)
plot(0:1:H,IRF_TB_old(1:49),'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,IRF_TB_old_low(1:49)',IRF_TB_old_up(1:49)',rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 -0.1 0 0.1 0.2])
axis([0 48 -0.2 0.2])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on
set(gcf, 'PaperPositionMode', 'auto');
print -dpng  'Figure 1.png'






hFig = figure('Name','Figure Online Appendix A_1','NumberTitle','off');
set(hFig, 'Position', [0 0 1000 6*350/2])
subplot(6,3,1)
plot(0:1:H,riaum(1:49)/ffraum(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,riaul(1:49)/ffraul(1,1)/4,riauu(1:49)/ffrauu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 0 0.1 0.2])
axis([0 48 -0.1 0.2])
ylabel('Austria','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title('Real Interest Rate','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(6,3,2)
plot(0:1:H,tbaum(1:49)/ffraum(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,tbaul(1:49)/ffraul(1,1)/4,tbauu(1:49)/ffrauu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 0 0.2 0.4])
axis([0 48 -0.2 0.4])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title('Net Exports','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(6,3,3)
plot(0:1:H,ipaum(1:49)/ffraum(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,ipaul(1:49)/ffraul(1,1)/4,ipauu(1:49)/ffrauu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.5 -0.25 0 0.25])
axis([0 48 -0.5 0.25])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title('Output','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(6,3,4)
plot(0:1:H,ricam(1:49)/ffrcam(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,rical(1:49)/ffrcal(1,1)/4,ricau(1:49)/ffrcau(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 0 0.1 0.2])
axis([0 48 -0.1 0.2])
ylabel('Canada','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(6,3,5)
plot(0:1:H,tbcam(1:49)/ffrcam(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,tbcal(1:49)/ffrcal(1,1)/4,tbcau(1:49)/ffrcau(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 0 0.2 0.4])
axis([0 48 -0.2 0.4])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(6,3,6)
plot(0:1:H,ipcam(1:49)/ffrcam(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,ipcal(1:49)/ffrcal(1,1)/4,ipcau(1:49)/ffrcau(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.5 -0.25 0 0.25])
axis([0 48 -0.5 0.25])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on
 
subplot(6,3,7)
plot(0:1:H,ridem(1:49)/ffrdem(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,ridel(1:49)/ffrdel(1,1)/4,rideu(1:49)/ffrdeu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 0 0.1 0.2])
axis([0 48 -0.1 0.2])
ylabel('Denmark','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(6,3,8)
plot(0:1:H,tbdem(1:49)/ffrdem(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,tbdel(1:49)/ffrdel(1,1)/4,tbdeu(1:49)/ffrdeu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 0 0.2 0.4])
axis([0 48 -0.2 0.4])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(6,3,9)
plot(0:1:H,ipdem(1:49)/ffrdem(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,ipdel(1:49)/ffrdel(1,1)/4,ipdeu(1:49)/ffrdeu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.5 -0.25 0 0.25])
axis([0 48 -0.5 0.25])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(6,3,10)
plot(0:1:H,rifim(1:49)/ffrfim(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,rifil(1:49)/ffrfil(1,1)/4,rifiu(1:49)/ffrfiu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 0 0.1 0.2])
axis([0 48 -0.1 0.2])
ylabel('Finland','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(6,3,11)
plot(0:1:H,tbfim(1:49)/ffrfim(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,tbfil(1:49)/ffrfil(1,1)/4,tbfiu(1:49)/ffrfiu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 0 0.2 0.4])
axis([0 48 -0.2 0.4])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(6,3,12)
plot(0:1:H,ipfim(1:49)/ffrfim(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,ipfil(1:49)/ffrfil(1,1)/4,ipfiu(1:49)/ffrfiu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.5 -0.25 0 0.25])
axis([0 48 -0.5 0.25])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(6,3,13)
plot(0:1:H,rifrm(1:49)/ffrfrm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,rifrl(1:49)/ffrfrl(1,1)/4,rifru(1:49)/ffrfru(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 0 0.1 0.2])
axis([0 48 -0.1 0.2])
ylabel('France','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(6,3,14)
plot(0:1:H,tbfrm(1:49)/ffrfrm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,tbfrl(1:49)/ffrfrl(1,1)/4,tbfru(1:49)/ffrfru(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 0 0.2 0.4])
axis([0 48 -0.2 0.4])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(6,3,15)
plot(0:1:H,ipfrm(1:49)/ffrfrm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,ipfrl(1:49)/ffrfrl(1,1)/4,ipfru(1:49)/ffrfru(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.5 -0.25 0 0.25])
axis([0 48 -0.5 0.25])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(6,3,16)
plot(0:1:H,rigem(1:49)/ffrgem(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,rigel(1:49)/ffrgel(1,1)/4,rigeu(1:49)/ffrgeu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 0 0.1 0.2])
axis([0 48 -0.1 0.2])
ylabel('Germany','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(6,3,17)
plot(0:1:H,tbgem(1:49)/ffrgem(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,tbgel(1:49)/ffrgel(1,1)/4,tbgeu(1:49)/ffrgeu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 0 0.2 0.4])
axis([0 48 -0.2 0.4])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(6,3,18)
plot(0:1:H,ipgem(1:49)/ffrgem(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,ipgel(1:49)/ffrgel(1,1)/4,ipgeu(1:49)/ffrgeu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.5 -0.25 0 0.25])
axis([0 48 -0.5 0.25])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on
set(gcf, 'PaperPositionMode', 'auto');
print -dpng  'Figure Online Appendix A_1.png'



hFig = figure('Name','Figure Online Appendix A_2','NumberTitle','off');
set(hFig, 'Position', [0 0 1000 7*350/2])
subplot(7,3,1)
plot(0:1:H,riitm(1:49)/ffritm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,riitl(1:49)/ffritl(1,1)/4,riitu(1:49)/ffritu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 0 0.1 0.2])
axis([0 48 -0.1 0.2])
ylabel('Italy','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title('Real Interest Rate','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(7,3,2)
plot(0:1:H,tbitm(1:49)/ffritm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,tbitl(1:49)/ffritl(1,1)/4,tbitu(1:49)/ffritu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 0 0.2 0.4])
axis([0 48 -0.2 0.4])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title('Net Exports','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(7,3,3)
plot(0:1:H,ipitm(1:49)/ffritm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,ipitl(1:49)/ffritl(1,1)/4,ipitu(1:49)/ffritu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.5 -0.25 0 0.25])
axis([0 48 -0.5 0.25])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
title('Output','fontweight','bold','FontSize',ftsizetitle)
box on

subplot(7,3,4)
plot(0:1:H,rijpm(1:49)/ffrjpm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,rijpl(1:49)/ffrjpl(1,1)/4,rijpu(1:49)/ffrjpu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 0 0.1 0.2])
axis([0 48 -0.1 0.2])
ylabel('Japan','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(7,3,5)
plot(0:1:H,tbjpm(1:49)/ffrjpm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,tbjpl(1:49)/ffrjpl(1,1)/4,tbjpu(1:49)/ffrjpu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 0 0.2 0.4])
axis([0 48 -0.2 0.4])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(7,3,6)
plot(0:1:H,ipjpm(1:49)/ffrjpm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,ipjpl(1:49)/ffrjpl(1,1)/4,ipjpu(1:49)/ffrjpu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.5 -0.25 0 0.25])
axis([0 48 -0.5 0.25])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(7,3,7)
plot(0:1:H,rinem(1:49)/ffrnem(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,rinel(1:49)/ffrnel(1,1)/4,rineu(1:49)/ffrneu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 0 0.1 0.2])
axis([0 48 -0.1 0.2])
ylabel('Netherlands','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(7,3,8)
plot(0:1:H,tbnem(1:49)/ffrnem(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,tbnel(1:49)/ffrnel(1,1)/4,tbneu(1:49)/ffrneu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 0 0.2 0.4])
axis([0 48 -0.2 0.4])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(7,3,9)
plot(0:1:H,ipnem(1:49)/ffrnem(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,ipnel(1:49)/ffrnel(1,1)/4,ipneu(1:49)/ffrneu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.5 -0.25 0 0.25])
axis([0 48 -0.5 0.25])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(7,3,10)
plot(0:1:H,rispm(1:49)/ffrspm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,rispl(1:49)/ffrspl(1,1)/4,rispu(1:49)/ffrspu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 0 0.1 0.2])
axis([0 48 -0.1 0.2])
ylabel('Spain','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(7,3,11)
plot(0:1:H,tbspm(1:49)/ffrspm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,tbspl(1:49)/ffrspl(1,1)/4,tbspu(1:49)/ffrspu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 0 0.2 0.4])
axis([0 48 -0.2 0.4])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(7,3,12)
plot(0:1:H,ipspm(1:49)/ffrspm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,ipspl(1:49)/ffrspl(1,1)/4,ipspu(1:49)/ffrspu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.5 -0.25 0 0.25])
axis([0 48 -0.5 0.25])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(7,3,13)
plot(0:1:H,riswm(1:49)/ffrswm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,riswl(1:49)/ffrswl(1,1)/4,riswu(1:49)/ffrswu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 0 0.1 0.2])
axis([0 48 -0.1 0.2])
ylabel('Sweden','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(7,3,14)
plot(0:1:H,tbswm(1:49)/ffrswm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,tbswl(1:49)/ffrswl(1,1)/4,tbswu(1:49)/ffrswu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 0 0.2 0.4])
axis([0 48 -0.2 0.4])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(7,3,15)
plot(0:1:H,ipswm(1:49)/ffrswm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,ipswl(1:49)/ffrswl(1,1)/4,ipswu(1:49)/ffrswu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.5 -0.25 0 0.25])
axis([0 48 -0.5 0.25])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(7,3,16)
plot(0:1:H,ritum(1:49)/ffrtum(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,ritul(1:49)/ffrtul(1,1)/4,rituu(1:49)/ffrtuu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.5 0 0.5])
axis([0 48 -0.5 0.5])
ylabel('Turkey','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(7,3,17)
plot(0:1:H,tbtum(1:49)/ffrtum(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,tbtul(1:49)/ffrtul(1,1)/4,tbtuu(1:49)/ffrtuu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.5 0 0.5 1])
axis([0 48 -0.5 1])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(7,3,18)
plot(0:1:H,iptum(1:49)/ffrtum(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,iptul(1:49)/ffrtul(1,1)/4,iptuu(1:49)/ffrtuu(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.5 -0.25 0 0.25])
axis([0 48 -0.5 0.25])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(7,3,19)
plot(0:1:H,riukm(1:49)/ffrukm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,riukl(1:49)/ffrukl(1,1)/4,riuku(1:49)/ffruku(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4'])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.1 0 0.1 0.2])
axis([0 48 -0.1 0.2])
ylabel('U.K.','fontweight','bold','FontSize',ftsizexlabel)
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(7,3,20)
plot(0:1:H,tbukm(1:49)/ffrukm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,tbukl(1:49)/ffrukl(1,1)/4,tbuku(1:49)/ffruku(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.2 0 0.2 0.4])
axis([0 48 -0.2 0.4])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on

subplot(7,3,21)
plot(0:1:H,ipukm(1:49)/ffrukm(1,1)/4,'-k','LineWidth',medianwidth)
hline(0,'-k')
hold on
x = 0:1:H;
[~,~]=jbfill(x,ipukl(1:49)/ffrukl(1,1)/4,ipuku(1:49)/ffruku(1,1)/4,rgb('royalblue'),rgb('royalblue'),0,0.5);
set(gca,'XTick',[0;12;24;36;48])
set(gca,'XTickLabel',['0 ';' 1';' 2';' 3';' 4';])
set(gca,'LineWidth',ftlinewidth )
set(gca,'YTick',[-0.5 -0.25 0 0.25])
axis([0 48 -0.5 0.25])
set(gca,'FontSize',ftsizeaxis)
set(gca,'LineWidth',ftlinewidth)
box on
set(gcf, 'PaperPositionMode', 'auto');
print -dpng  'Figure Online Appendix A_2.png'


